<?php

/**
 * Лента событий. Переписан весь код.
 *
 * Автор: Платонов Кирилл (Plato)
 * URL: http://master.promob.net
 */

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

$set['title'] = 'Лента событий';
include_once 'sys/inc/thead.php';

title();
aut();

// Отмечаем события как прочитанные
mysql_query("UPDATE `lenta` SET `read` = '1' WHERE `id_kont` = '$user[id]' AND `read` = '0'");

// Вывод событий
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `id_kont` = '$user[id]'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

if ($k_post == 0){
	echo '<div class="menu">Новых событий нет.</div>';
} else {
	// Подготовка запроса
    $sql = mysql_query("SELECT * FROM `lenta` WHERE `id_kont` = '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");

	// Запускаем цикл
	while ($post = mysql_fetch_array($sql)){
		$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_user]'"));
		
		echo '<div class="menu"><img src="/style/themes/'. $set['set_them'] .'/user/'. $ank['pol'] .'.png" alt="" /> <a href="/info.php?id='. $ank['id'] .'>'. $ank['nick'] .'</a> ('. vremja($post['time']) .') [<a href="lenta_del.php?delete_id='. $post['id'] .'">Уд</a>]<br />'. output_text($post['msg']) .'</div>';
	}
	
	if ($k_page > 1) str('lenta.php', $k_page, $page);
}

echo '<div class="foot">
&raquo; <a href="lenta_del.php?action=delete_all">Очистить ленту</a>
</div>';

include_once 'sys/inc/tfoot.php';

?>